<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lista de Estudiantes</title>
</head>
<body>
    <h1>Lista de Estudiantes</h1>
    <ul>
        {% for estudiante in estudiantes %}
            <li>{{ estudiante.nombre }} {{ estudiante.apellido }}</li>
        {% endfor %}
    </ul>

<form method="post" action="{% url 'add_student' %}">
  {% csrf_token %}
  <label for="nombre">Nombre:</label>
  <input type="text" id="nombre" name="nombre">
  <label for="apellido">Apellido:</label>
  <input type="text" id="apellido" name="apellido">
  <label for="edad">Edad:</label>
  <input type="number" id="edad" name="edad">
  <button type="submit">Agregar Estudiante</button>
</form>

</body>
</html>
